Summary:	A simple set of tools to help you author a DVD
Name:		dvdauthor
Version:	0.7.2
%define		subrel 2
Release:	%mkrel 2
License:	GPLv2+
Group:		Video/Editors and Converters
Url:		http://dvdauthor.sourceforge.net/
Source0:	https://sourceforge.net/projects/dvdauthor/files/%{name}-%{version}.tar.gz
Source1:	http://www.joonet.de/dvdauthor/ftp/%{name}-doc-0.6.17.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gettext-devel

%description
A simple set of tools to help you author a DVD. The idea is to be able to
create menus, buttons, chapters, etc. But for now you can just take an mpeg
stream (as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.

N.B. The system-wide default video format is NTSC, to change it modify 
/etc/video_format; for per user specific settings creat ~/.config/video_format
and put the video format you want (NTSC or PAL) there.

%prep
%setup -q -n %{name} -a 1
%autopatch -p1

mv %{name}-doc-0.6.17/html .

%build
%configure2_5x --disable-rpath --enable-default-video-format=NTSC
%make_build

%install
%make_install

# (ahmad) Starting from 0.7, dvdauthor doesn't specify a default video format
# previously it defaulted to NTSC
mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/video_format << EOF
NTSC
EOF

%files
%doc AUTHORS README ChangeLog TODO html
%license COPYING
%{_sysconfdir}/video_format
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_mandir}/man7/video_format.7.*


%changelog
* Tue May 01 2018 kekepower <kekepower> 0.7.2-2.2.mga6
  (not released yet)
+ Revision: 1224344
- Rebuild for ImageMagic 6.9.9.41
- Rebuild for new ImageMagick

* Sat May 27 2017 shlomif <shlomif> 0.7.2-2.mga6
+ Revision: 1105211
- rebuild for new imagemagick lib-major

* Mon Jan 02 2017 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 1079673
- new version: 0.7.2
- remove merged upstream patches
- switch BRs to pkgconfig()

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-10.mga6
+ Revision: 942838
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-9.mga5
+ Revision: 743202
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-8.mga5
+ Revision: 678889
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 danf <danf> 0.7.1-7.mga5
+ Revision: 674977
- Added strndup.patch to fix build with glibc 2.20

* Sat Feb 08 2014 fwang <fwang> 0.7.1-6.mga5
+ Revision: 586058
- rebuild for new imagemagick

* Sat Oct 19 2013 umeabot <umeabot> 0.7.1-5.mga4
+ Revision: 526055
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.7.1-4.mga4
+ Revision: 435824
- rebuild for new libpng

* Tue May 28 2013 fwang <fwang> 0.7.1-3.mga4
+ Revision: 429148
- rebuild for new imagemagick

* Fri Jan 11 2013 umeabot <umeabot> 0.7.1-2.mga3
+ Revision: 349193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 fwang <fwang> 0.7.1-1.mga3
+ Revision: 338471
- fix build with automake 1.13
+ vaci0 <vaci0>
- Update to version 0.7.1

* Fri Dec 14 2012 fwang <fwang> 0.7.0-3.mga3
+ Revision: 330752
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.7.0-2.mga3
+ Revision: 305076
- update rpm group

* Wed Sep 14 2011 fwang <fwang> 0.7.0-2.mga2
+ Revision: 143434
- fix build with latest png

* Tue Jan 25 2011 ahmad <ahmad> 0.7.0-2.mga1
+ Revision: 39506
- imported package dvdauthor

